<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.biologicoFabricante.home.createOrEditLabel"
          data-cy="FabricanteCreateUpdateHeading"
          v-text="$t('gatewayApp.biologicoFabricante.home.createOrEditLabel')"
        >
          Create or edit a Fabricante
        </h2>
        <div>
          <div class="form-group" v-if="fabricante.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="fabricante.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoFabricante.nombreFabricante')"
              for="fabricante-nombreFabricante"
              >Nombre Fabricante</label
            >
            <textarea
              class="form-control"
              name="nombreFabricante"
              id="fabricante-nombreFabricante"
              data-cy="nombreFabricante"
              :class="{ valid: !$v.fabricante.nombreFabricante.$invalid, invalid: $v.fabricante.nombreFabricante.$invalid }"
              v-model="$v.fabricante.nombreFabricante.$model"
            ></textarea>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoFabricante.productosFabricanet')"
              for="fabricante-productosFabricanet"
              >Productos Fabricanet</label
            >
            <textarea
              class="form-control"
              name="productosFabricanet"
              id="fabricante-productosFabricanet"
              data-cy="productosFabricanet"
              :class="{ valid: !$v.fabricante.productosFabricanet.$invalid, invalid: $v.fabricante.productosFabricanet.$invalid }"
              v-model="$v.fabricante.productosFabricanet.$model"
            ></textarea>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoFabricante.detalleFabricante')"
              for="fabricante-detalleFabricante"
              >Detalle Fabricante</label
            >
            <textarea
              class="form-control"
              name="detalleFabricante"
              id="fabricante-detalleFabricante"
              data-cy="detalleFabricante"
              :class="{ valid: !$v.fabricante.detalleFabricante.$invalid, invalid: $v.fabricante.detalleFabricante.$invalid }"
              v-model="$v.fabricante.detalleFabricante.$model"
            ></textarea>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.fabricante.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./fabricante-update.component.ts"></script>
